package com.friday.custody.service.basicService;

import com.friday.custody.dto.QueryBySQLDto;
import com.friday.custody.dto.TableNameDto;
import com.friday.custody.dto.TableStructureDto;
import com.friday.custody.req.GetDataByTableNameAndSqlReq;
import com.friday.custody.req.TableInfoReq;

import java.util.List;

public interface TableInfoService  {
    List<TableNameDto> listTable();

    List<TableStructureDto> listTableColumn(String tableName);
    List<QueryBySQLDto> getDataByTableNameAndSql(GetDataByTableNameAndSqlReq req);

    List getDataByReq(TableInfoReq req);

    List<String> getFieldName(String tableName);
}

